/*!
 * \file Parameters.h
 * \date 2014/08/25 11:44
 *
 * \author Kane
 * Contact: user@company.com
 *
 * \brief 
 *
 * TODO: long description
 *
 * \note
*/

#ifndef Parameters_h__
#define Parameters_h__

#include <string>
#include <unordered_map>

using std::string;
using std::unordered_map;

class Parameters
{
public:
	Parameters( const string & strFilePath );
	virtual ~Parameters(void);

	string getParameter( const string & strParaName );
	void   setParameter( const string & strParaName, const string & strParaValue );

private:
	Parameters();

private:
	string m_strDbFilePath;
	unordered_map<string, string> m_parameters;
};

#endif // Parameters_h__

